ChangeSet 1.1276.22.15, 2003/08/22 15:34:29-07:00, bellucda@tiscali.it

[PATCH] USB: PATCH 15/19 Audit usb_register/usb_serial_register under divers/usb/serial


 drivers/usb/serial/omninet.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/omninet.c b/drivers/usb/serial/omninet.c
--- a/drivers/usb/serial/omninet.c	Tue Sep  2 12:47:21 2003
+++ b/drivers/usb/serial/omninet.c	Tue Sep  2 12:47:21 2003
@@ -375,10 +375,19 @@
 
 static int __init omninet_init (void)
 {
-	usb_serial_register (&zyxel_omninet_device);
-	usb_register (&omninet_driver);
+	int retval;
+	retval = usb_serial_register(&zyxel_omninet_device);
+	if (retval)
+		goto failed_usb_serial_register;
+	retval = usb_register(&omninet_driver);
+	if (retval)
+		goto failed_usb_register;
 	info(DRIVER_VERSION ":" DRIVER_DESC);
 	return 0;
+failed_usb_register:
+	usb_serial_deregister(&zyxel_omninet_device);
+failed_usb_serial_register:
+	return retval;
 }
 
 
